#LeftNavMenuDiv.is-keyboard-navigation .dx-treeview-node.dx-state-focused {
    position: relative;    
}

#LeftNavMenuDiv.is-keyboard-navigation .dx-treeview-node.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

#LeftNavMenuDiv.is-keyboard-navigation .dx-treeview-search .dx-texteditor-container:has(input:focus) {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

#LeftNavMenuDiv.is-keyboard-navigation .dx-treeview-node > .focusable-context-menu .context-menu {
    opacity: 1;
}

#LeftNavMenuDiv.is-keyboard-navigation .context-menu .dx-menu-item-has-submenu.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #LeftNavMenuDiv.is-keyboard-navigation .nav-collapse-btn-wrapper:focus-visible {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active .dx-context-menu .dx-menu-item.dx-state-focused {
    color: inherit;
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

.nav-collapse-btn-wrapper:focus-visible {
    outline: none!important;
}

.dx-button-mode-contained.dx-button-default.dx-state-hover, .dx-button-mode-contained.dx-button-default.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-button-mode-contained.dx-button-normal.dx-state-focused:not(.dx-button-has-icon,.dx-calendar-caption-button) {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

#main_toolbar_div.is-keyboard-navigation .dx-toolbar-before .dx-dropdowneditor.dx-state-focused::after,
#main_toolbar_div.is-keyboard-navigation .dx-toolbar-before .dx-dropdowneditor.dx-dropdowneditor-active::after {
    content: '';
    position: absolute;
    top: -14px;
    left: -4px;
    right: -4px;
    bottom: -4px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

#main_toolbar_div.is-keyboard-navigation .masthead-new-btn .dx-button.dx-state-focused {
    position: relative;
    overflow: unset;
}

#main_toolbar_div.is-keyboard-navigation .masthead-new-btn .dx-button.dx-state-focused::after {
    content: '';
    position: absolute;
    top: -4px;
    left: -4px;
    right: -4px;
    bottom: -4px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

#main_toolbar_div.is-keyboard-navigation .alfa-masthead-notifications-button .dx-button,
#main_toolbar_div.is-keyboard-navigation .alfa-masthead-help-button .dx-button,
#main_toolbar_div.is-keyboard-navigation .alfa-masthead-favourite-button .dx-button {
    transition: none;
}

#main_toolbar_div.is-keyboard-navigation .alfa-masthead-notifications-button .dx-button.dx-state-focused,
#main_toolbar_div.is-keyboard-navigation .alfa-masthead-help-button .dx-button.dx-state-focused,
#main_toolbar_div.is-keyboard-navigation .alfa-masthead-favourite-button .dx-button.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    background-color: transparent;
}

#main_toolbar_div.is-keyboard-navigation .main_toolbar_btn .dx-menu-item.dx-state-focused .dx-item-content {
    position: relative;
    padding: 0;
}

#main_toolbar_div.is-keyboard-navigation .main_toolbar_btn .dx-menu-item.dx-state-focused .dx-item-content::after {
    content: '';
    position: absolute;
    top: -4px;
    left: -4px;
    right: -4px;
    bottom: -4px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
    border-radius: 100vh;
}

#main_toolbar_div.is-keyboard-navigation .main_toolbar_btn .dx-menu-item.dx-state-focused::after {
    display: none!important;
}

#main_toolbar_div.is-keyboard-navigation .dx-dropdowneditor.dx-dropdowneditor-active .profile-switcher-item-text .dx-texteditor-input {
    color: var(--alfa-masthead-font-color);
}

#main_toolbar_div.is-keyboard-navigation #Search1.focused,
#main_toolbar_div.is-keyboard-navigation #SearchCategory1.focused {
    border: 0;
}

#main_toolbar_div.is-keyboard-navigation #Search1.dx-state-focused,
#main_toolbar_div.is-keyboard-navigation #SearchCategory1.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    z-index: 1;
    border-radius: 0;
}

html.is-keyboard-active .search-category-dropdown .dx-item.dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .search-category-dropdown .dx-item.dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .profile-switcher-dropdown .dx-list-item {
    position: relative;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .profile-switcher-dropdown .dx-list-item.dx-state-focused.dx-list-item-selected {
    background-color: var(--alfa-background-primary-hover, #EDF5FB);
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .profile-switcher-dropdown .dx-list-item.dx-state-focused::after,
html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .profile-switcher-dropdown:not(:has(.dx-list-item.dx-state-focused)) .dx-list-item.dx-list-item-selected::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .dx-overlay-content.dx-context-menu.masthead-menu .dx-item.dx-state-focused::after{
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .dx-menu-base.masthead-menu .dx-item.dx-state-focused .dx-icon::before {
    color: #333;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation [data-sid="SearchBox"] .dx-state-focused {
    position: relative;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation [data-sid="SearchBox"] .dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .search-category-dropdown .dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .search-category-dropdown .dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .search-category-dropdown .dx-list-search.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .masthead-drop-down .dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active #main_toolbar_div.is-keyboard-navigation .masthead-drop-down .dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .dx-menu-item.dx-state-focused {
    color: inherit;
    position: relative;
}

html.is-keyboard-active .dx-menu-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active .dx-button-mode-contained.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active .dx-menu-base.dx-state-focused .dx-menu-item.dx-state-focused {
    outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-multiview.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [tabindex]:focus-visible:not(.dx-state-focused):not(.dx-datagrid-sticky-column-left):not(.ds-link):not(.grid-stack-item) {
    position: sticky;
    outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .grid-stack-item:focus-visible {
    outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation tr[tabindex]:focus-visible:not(.dx-state-focused) {
    display: flex;
    flex-direction: column;
    height: 50px;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-treelist-container .dlt-icon-more-menu {
    display: none;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-treelist-rowsview .dx-selection.dx-row-focused.dx-data-row > td:not(.dx-focused) {
    background-color: #DBF0FF;
}

html.is-keyboard-active .dx-treelist [tabindex]:focus-visible:not(.dx-state-focused):not(.dx-datagrid-sticky-column-left):not(.ds-link) {
    position: relative;
    outline: none;
}

html.is-keyboard-active .dx-treelist [tabindex].dx-treelist-sticky-column-left:focus-visible {
    position: sticky!important;
}

html.is-keyboard-active .dx-treelist [tabindex]:focus-visible:not(.dx-state-focused):not(.dx-datagrid-sticky-column-left):not(.ds-link)::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .grid-stack-item[tabindex]:focus-visible::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 10px!important;
    bottom: 0px;
    border-radius: 4px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-header-row [tabindex].dx-datagrid-sticky-column-left:focus-visible::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border-radius: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [tabindex]:focus-visible:not(.dx-state-focused).dx-datagrid-sticky-column-left {
   outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [tabindex]:focus-visible:not(.dx-state-focused).dx-datagrid-sticky-column-left .td-parent {
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [tabindex]:focus-visible:not(.dx-state-focused).dx-datagrid-sticky-column-left .td-parent::after {
    content: '';
    position: absolute;
    top: -7px;
    left: -8px;
    right: -8px;
    bottom: -6.5px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [tabindex]:focus:not(.dx-state-focused):not(.dx-datagrid-sticky-column-left):not(.ds-link)::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .grid-stack-item.has-table-of-content[tabindex]:focus-visible::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px!important;
    bottom: 0px;
    border-radius: 4px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .multiselector2-toggler:focus-visible {
    outline: none!important;
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .multiselector2-toggler:focus-visible::after {
    display: none;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .multiselector2-toggler:focus-visible span {
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .multiselector2-toggler:focus-visible span::after{
    content: '';
    position: absolute;
    top: -2px;
    left: -4px;
    right: -4px;
    bottom: -2px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .ds-link:focus-visible {
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
    outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .sub-view-popup .dx-button-mode-contained.dx-button-default.dx-state-focused {
    background-color: #265a87 !important;
    color: var(--alfa-button-color-primary) !important;
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .sub-view-popup .dx-button-mode-contained.dx-button-default.dx-state-focused:after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-button-mode-text.dx-state-focused {
    background-color:transparent !important;
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-datagrid .dx-datagrid-headers .dx-editor-cell .dx-filter-menu .dx-menu-item.dx-state-focused:after{
    top: -4px;
    right: -4px;
    bottom: 12px;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-datagrid .dx-datagrid-headers [tabindex]:focus-visible:not(.dx-state-focused) {
    position: sticky;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-datagrid .dx-datagrid-headers [role="checkbox"].dx-state-focused {
    outline: none;
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-datagrid .dx-datagrid-headers [role="checkbox"].dx-state-focused:after {
    content: '';
    position: absolute;
    top: 6px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation [role="checkbox"].dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
    border-radius: 2px;
}

html.is-keyboard-active [role="checkbox"].dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
    border-radius: 2px;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-tab.dx-state-focused:after{
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 6px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item {
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused:after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .alfa-control-with-label .dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
    border-radius: 4px;
}

html.is-keyboard-active .alfa-control-with-label .dx-state-focused input::selection {
    background-color: transparent;
    color: inherit;
}

html.is-keyboard-active .dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}


html.is-keyboard-active .alfa-multiselect-dropdown-wrapper .dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .alfa-multiselect-dropdown-wrapper .dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .alfa-multiselect-dropdown-wrapper .dx-list-select-all.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .alfa-multiselect-dropdown-wrapper .dx-list-select-all.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .alfa-generic-list-item-checkbox.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .alfa-generic-list-item-checkbox.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .dx-radiogroup:focus-visible {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active .dx-button-mode-text.dx-state-focused {
    background-color: transparent;
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED)!important;
}

html.is-keyboard-active .dx-popup-wrapper .dx-state-focused.dx-overlay-content {
    border-color: transparent;
}

html.is-keyboard-active .dx-popup-wrapper .dx-state-focused.dx-overlay-content::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .dx-button-mode-contained.dx-button-default.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active .dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused .dx-list-item-icon-container .dx-icon {
    color: inherit;
}

html.is-keyboard-active .dx-tabpanel > .dx-tabpanel-tabs .dx-tab.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 6px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .sub-view-popup .dx-popup-title.dx-toolbar .dx-menu-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .sub-view-popup .dx-popup-bottom.dx-toolbar .dx-menu-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .sub-view-popup .dx-popup-bottom.dx-toolbar .dx-menu-item.dx-state-focused .dx-icon {
    color: var(--alfa-text-color-primary);
}

html.is-keyboard-active .dx-calendar-contoured-date {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED) !important;
}

html.is-keyboard-active .dx-button-mode-contained.dx-button-normal:not(.dx-button-has-icon,.dx-calendar-caption-button) {
    position: relative;
}


html.is-keyboard-active .notification-center .dx-item.dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .notification-center .dx-item.dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}


html.is-keyboard-active .event-notification-item .mark-as-read-icon.mark-as-read-icon-unread {
    visibility: visible;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .event-notification-item .dx-button-mode-contained.dx-state-focused.mark-as-read-icon.mark-as-read-icon-unread {
    outline: none!important;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .explorer-tree-item .dx-texteditor.dx-state-focused {
    position: relative;
}

html.is-keyboard-active #ContentDiv.is-keyboard-navigation .explorer-tree-item .dx-texteditor.dx-state-focused:after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
    border-radius: 4px;
}

html.is-keyboard-active .event-notification-item .mark-as-read-icon.mark-as-read-icon-unread:after {
    visibility: hidden;
}

html.is-keyboard-active .event-notification-item .mark-as-read-icon.mark-as-read-icon-unread .alfa-icon {
    position: relative;
}

html.is-keyboard-active .event-notification-item .mark-as-read-icon.mark-as-read-icon-unread:focus .alfa-icon:after {
    content: '';
    position: absolute;
    top: 0px;
    left: 10px;
    right: 10px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
    border-radius: 2px;
}

html.is-keyboard-active .dx-accordion-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-accordion-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}


div.dx-dashboard-item-container:focus-visible {
    outline: none;
}

html.is-keyboard-active div.dx-dashboard-item-container:focus-visible {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-item.dx-list-item.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-item.dx-list-item.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-list-select-all.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-list-select-all.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-tagbox.dx-state-focused {
    position: relative;
}

html.is-keyboard-active .dx-dashboard-widget-container .dx-tagbox.dx-state-focused::after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    border: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    pointer-events: none;
}

html.is-keyboard-active #breadcrumb_div .bc_step:focus-visible,
html.is-keyboard-active #breadcrumb_div .bc_step:focus {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #breadcrumb_div .dataQualityHint:focus-visible{
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #loginform .dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
}

html.is-keyboard-active #loginform .dlt-icon-close {
    visibility: visible;
}

html.is-keyboard-active .alfa-control-with-label .dx-htmleditor .dx-state-focused::after {
    display: none;
}

html.is-keyboard-active .alfa-control-with-label .dx-htmleditor.dx-state-focused::after {
    display: none;
}

html.is-keyboard-active .alfa-control-with-label .dx-htmleditor .dx-htmleditor-content.dx-state-focused {
    outline: 2px solid var(--alfa-text-color-primary-selected, #39A0ED);
    outline-offset: -2px;
}